Changer la version PHP de son serveur OVH

Vous êtes hébergé en mutualisé chez OVH et vous souhaitez installer, par exemple, la dernière version de WordPress… Une obligation : être certain d’avoir un serveur PHP 5.6 ! Petites astuces pour vérifier la version de votre serveur et la faire évoluer si besoin !

Etape 1 : quelle version PHP est installée sur votre serveur ?

Avant de vous lancer dans l’installation de WordPress, pensez, dans un premier temps, à vérifier sous quelle version de PHP votre serveur hébergé évolue. Si c’est du 4.4.9 alors pas la peine de vous embêter à installer la dernière version de WordPress, cela ne fonctionnera pas. Pour vous éviter de perdre du temps, nous vous conseillons de déposer grâce à un logiciel de transfert FTP (Filezilla par exemple, nous on adore !) un fichier info.php sur votre serveur dans le dossier de votre site. Le fichier info.php contient les lignes de codes suivantes :

<?php phpinfo(); ?>

Une fois le serveur actualisé, ouvrez votre navigateur et allez à l’adresse suivante nomdevotresite.com/info.php. À l’écran s’affichent de multiples informations sur votre serveur, la plus importante, celle qui figure tout en haut, la version PHP de votre serveur !

Si votre serveur affiche une version antérieure à PHP 5.6 alors passez à l’étape suivante.

Etape 2 : comment modifier la version PHP de mon serveur ?

Rien de plus simple. Ouvrez votre logiciel d’édition de code préféré comme Sublime Text ou Dreamweaver puis indiquez les lignes de codes suivantes :

app.engine=php
app.engine.version=5.6
http.firewall=none
environment=production

 

Enregistrez le fichier sous le nom ovhconfig.txt par exemple puis déposez-le, via un logiciel de transfert FTP, dans le dossier racine de votre site. Une fois sur le serveur, renommez le fichier ovhconfig.txt et remplacez-le par .ovhconfig . La procédure terminée, cliquez sur Actualiser pour que votre serveur prenne en compte les dernières modifications.

infoOuvrez votre navigateur, direction l’adresse nomdevotresite.com/info.php pour vérifier que la nouvelle version du serveur est bien PHP 5.6. Si c’est le cas, bingo, vous pouvez installer WordPress.

Par contre, attention, pensez bien à supprimer le fichier info.php, c’est très très très important pour des raisons de sécurité.

Et voilà, vous savez tout. À très vite pour un nouvel article !

 

Laisser un commentaire

En continuant de naviguer sur ce site, vous acceptez l'utilisation des cookies et outils de statistiques. En savoir plus

En poursuivant votre navigation sur ce site, vous acceptez l’utilisation de cookies pour vous proposer une expérience de navigation optimale. Nous intégrons également un traceur Google Analytics afin d'obtenir des statistiques sur le site.

Fermer